Index: winword.py
===================================================================
--- winword.py	(revision 1631)
+++ winword.py	(working copy)
@@ -271,6 +271,7 @@
 class WordDocument(IAccessible):
 
 	def __init__(self,*args,**kwargs):
+		globalVars.log.debug("args = %s, kwargs = %s" % (str(args),str(kwargs)))
 		self.TextInfo=WordDocumentTextInfo
 		super(WordDocument,self).__init__(*args,**kwargs)
 		self.dom=self.getDocumentObjectModel()
@@ -283,8 +284,12 @@
 
 	def getDocumentObjectModel(self):
 		ptr=ctypes.c_void_p()
-		if ctypes.windll.oleacc.AccessibleObjectFromWindow(self.windowHandle,IAccessibleHandler.OBJID_NATIVEOM,ctypes.byref(comtypes.automation.IDispatch._iid_),ctypes.byref(ptr))!=0:
+		globalVars.log.debug("self.windowHandle = %u" % self.windowHandle)
+		temp = ctypes.windll.oleacc.AccessibleObjectFromWindow(self.windowHandle,IAccessibleHandler.OBJID_NATIVEOM,ctypes.byref(comtypes.automation.IDispatch._iid_),ctypes.byref(ptr))
+		if temp != 0:
+			globalVars.log.debug("AccessibleObjectFromWindow returned %d" % temp)
 			raise OSError("No native object model")
+		globalVars.log.debug("native object model found")
 		#We use pywin32 for large IDispatch interfaces since it handles them much better than comtypes
 		o=pythoncom._univgw.interface(ptr.value,pythoncom.IID_IDispatch)
 		t=o.GetTypeInfo()
